Bug 820172 - Deploy SAM 1.1 beta (2012-05-09.1) build fail.
Deploy SAM 1.1 beta (2012-05-09.1) build fail.
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: rel-eng (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.X
Assigned To: Bryan Kearney
SAM QE List
: Triaged
Depends On:
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-05-09 06:30 EDT by Hui Wang
Modified: 2012-08-22 13:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 13:07:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hui Wang 2012-05-09 06:30:07 EDT
Description of problem:
Deploy SAM-2012-05-09 fail as there are errors about candlepin dependency.
 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Register the rhel6.3-server-x86_64
2.Subscribe subscription
3.Enable rhel-6-server-beta-rpms and rhel-6-server-optional-rpms and rhel-6-server-optional-beta-rpms repos.
4.# yum install -y katello-headpin-all
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
rhel-6-server-beta-rpms                                                                                                               | 3.4 kB     00:00     
rhel-6-server-cf-tools-1-rpms                                                                                                         | 2.6 kB     00:00     
rhel-6-server-optional-beta-rpms                                                                                                      | 3.2 kB     00:00     
rhel-6-server-optional-debug-rpms                                                                                                     | 2.9 kB     00:00     
rhel-6-server-rpms                                                                                                                    | 3.7 kB     00:00     
rhel-server-dts-6-rpms                                                                                                                | 2.5 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package katello-headpin-all.noarch 0:0.2.6-3.el6_2 will be installed
--> Processing Dependency: postgresql-server for package: katello-headpin-all-0.2.6-3.el6_2.noarch
--> Processing Dependency: postgresql for package: katello-headpin-all-0.2.6-3.el6_2.noarch
...........
---> Package rubygem-polyglot.noarch 0:0.3.1-2.el6 will be installed
---> Package rubygem-rubyforge.noarch 0:2.0.4-1.el6_0 will be installed
--> Finished Dependency Resolution
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: codehaus-jackson-xc
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: slf4j >= 1.6.1
           Available: slf4j-1.5.8-7.el6.noarch (rhel-6-server-rpms)
               slf4j = 1.5.8-7.el6
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: codehaus-jackson >= 1.9.2
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: google-guice >= 3.0
Error: Package: hibernate3-annotations-3.4.0-3.5.GA_CP04.ep5.el6.noarch (sam)
           Requires: hibernate3 >= 3.3.2
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: c3p0
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: quartz >= 1.7.3
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: glassfish-jaxb
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: codehaus-jackson-core-lgpl
Error: Package: hibernate3-annotations-3.4.0-3.5.GA_CP04.ep5.el6.noarch (sam)
           Requires: hibernate3-commons-annotations >= 3.1.0
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: bouncycastle
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: scannotation
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: codehaus-jackson-jaxrs
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: codehaus-jackson-mapper-lgpl
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: hibernate3 >= 3.3.2
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: resteasy >= 2.3.1
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: hornetq >= 2.2.11
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: hibernate3-entitymanager >= 3.4.0
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Actual results:
There are errors about candlepin dependency when deploy SAM-2012-05-09.1 build.

Expected results:
Deploy SAM-2012-05-09.1 successfully.

Additional info:
Comment 2 Hui Wang 2012-05-11 04:08:28 EDT
Deploy sam use the latest puddle http://download.lab.bos.redhat.com/rel-eng/CloudForms/SubscriptionAssetManager/1.1/2012-05-10.1/x86_64/ FAIL.

1.Register the rhel6.3-server-beta1.0-x86_64 
2.Subscribe subscription
3.Enable rhel-6-server-beta-rpms and rhel-6-server-optional-rpms and
rhel-6-server-optional-beta-rpms repos.
4.# yum install -y katello-headpin-all
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
rhel-6-server-beta-rpms                                                        
                                                      | 3.4 kB     00:00     
rhel-6-server-cf-tools-1-rpms                                                  
                                                      | 2.6 kB     00:00     
rhel-6-server-optional-beta-rpms                                               
                                                      | 3.2 kB     00:00     
rhel-6-server-optional-debug-rpms                                              
                                                      | 2.9 kB     00:00     
rhel-6-server-rpms                                                             
                                                      | 3.7 kB     00:00     
rhel-server-dts-6-rpms                                                         
                                                      | 2.5 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package katello-headpin-all.noarch 0:0.2.6-3.el6_2 will be installed
--> Processing Dependency: postgresql-server for package:
katello-headpin-all-0.2.6-3.el6_2.noarch
--> Processing Dependency: postgresql for package:
katello-headpin-all-0.2.6-3.el6_2.noarch
..........................
--> Finished Dependency Resolution
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(ruport) >= 1.6.3
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(tire)
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: oauth
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(i18n_data) >= 0.2.6
Error: Package: candlepin-0.6.2-1.el6_2.noarch (sam)
           Requires: netty
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(chunky_png)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(simple-navigation) >= 3.3.4
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(rails_warden)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(pg)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(acts_as_reportable) >= 1.1.1
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(rails) >= 3.0.10
Error: Package: jboss-transaction-api_1.1_spec-1.0.0-7.Final_redhat_1.ep6.el6.noarch (sam)
           Requires: jboss-specs-parent >= 1.0.0-0.1.Beta2
Error: Package: jboss-transaction-api_1.1_spec-1.0.0-7.Final_redhat_1.ep6.el6.noarch (sam)
           Requires: servlet_api
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(jammit)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(thin)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(haml) >= 3.1.2
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(fssm)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(delayed_job) >= 2.1.4
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: elasticsearch
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(uuidtools)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(pdf-writer) >= 1.1.8
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(oauth)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(gettext_i18n_rails)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(sass)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(regin)
Error: Package: katello-headpin-0.2.6-4.el6_2.noarch (sam)
           Requires: /usr/bin/rails
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(compass-960-plugin) >= 0.10.4
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(rest-client)
Error: Package: katello-configure-0.3.2-4.el6_2.noarch (sam)
           Requires: puppet >= 2.6.6
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(json)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(daemons) >= 1.1.4
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(compass) >= 0.11.5
Error: Package: sisu-cglib-2.2.2-1.2.ep6.el6.noarch (sam)
           Requires: ant >= 1.8.2
           Available: ant-1.7.1-13.el6.x86_64 (rhel-6-server-rpms)
               ant = 1.7.1-13.el6
               ant = 1.7.1-13.el6
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(haml-rails)
Error: Package: katello-common-0.3.1-1.el6_2.noarch (sam)
           Requires: rubygem(net-ldap)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 14 Hui Wang 2012-05-20 21:18:25 EDT
Puddle 2012-05-16.2 can be installed cleanly with rhel-6-server-rpms and rhel-6-server-beta-rpms enabled.
Comment 15 Hui Wang 2012-06-04 06:06:40 EDT
Puddle 2012-06-04 can be installed cleanly with rhel-6-server-rpms and rhel-6-server-beta-rpms enabled.

Pls change the status to ON_QA.
Comment 16 Tom McKay 2012-06-04 08:43:41 EDT
Moved to ON_QA
Comment 17 Hui Wang 2012-06-04 21:41:49 EDT
Moved to Verified as comment 15

Note You need to log in before you can comment on or make changes to this bug.